{% extends 'base.html' %}


{% block main-content %}
<div>
    <table>
        <thead>
            <tr>
                <th>Name</th>
                <th>Number</th>
                <th>Number of receipts</th>
            </tr>
        </thead>
        <tbody>
            {% for account in accounts %}
            <tr>
                <td>{{ account.name }}</td>
                <td>{{ account.number }}</td>
                <!-- calling by the related_name then using the length filter to count-->
                <td>{{ account.receipts.all|length }}</td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
</div>
{% endblock main-content %}
